| OpendTect 8.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
Seis::Blocks::Reader Class Reference
Seis

Reads data from Blocks Storage. For comments see master branch. More...

`#include <seisblocksreader.h>`

Inheritance diagram for Seis::Blocks::Reader:
[legend]

## Public Types
typedef PosInfo::CubeData | CubeData
Public Types inherited from Seis::Blocks::IOClass
typedef DataCharacteristics::UserType | FPDataRepType

## Public Member Functions
| Reader (const char *fnm)
| data or info
| Reader (od_istream &)
| data or info
| ~Reader ()
void | close ()
| early retire
BoolTypeSet & | compSelected ()
bool | depthInFeet () const
uiRetVal | get (const BinID &, SeisTrc &) const
uiRetVal | getNext (SeisTrc &) const
uiRetVal | getTrcInfo (SeisTrcInfo &) const
bool | goTo (const BinID &) const
int | nrComponents () const
const CubeData & | positions () const
void | setSelData (const SelData *)
uiRetVal | skip (int) const
const uiRetVal & | state () const
BufferString | surveyName () const
Public Member Functions inherited from Seis::Blocks::IOClass
virtual | ~IOClass ()
const FilePath & | basePath () const
const BufferStringSet & | componentNames () const
const char * | cubeName () const
BufferString | dataFileName () const
DataType | dataType () const
const Dimensions & | dimensions () const
FPDataRepType | fPRep () const
const IOPar & | getAuxInfo (int i) const
virtual const HGeom * | hGeom () const
BufferString | infoFileName () const
int | nrAuxInfo () const
BufferString | overviewFileName () const
const LinScaler * | scaler () const
SzType | version () const
const ZDomain::Def & | zDomain () const
const ZGeom & | zGeom () const

## Protected Types
typedef PosInfo::CubeDataPos | CubeDataPos

## Protected Member Functions
bool | advancePos (CubeDataPos &) const
void | closeStream () const
void | doGet (SeisTrc &, uiRetVal &) const
bool | doGoTo (const BinID &, uiRetVal &) const
void | fillInfo (const BinID &, SeisTrcInfo &) const
FileColumn * | getColumn (const HGlobIdx &, uiRetVal &) const
bool | isSelected (const CubeDataPos &) const
void | readTrace (SeisTrc &, uiRetVal &) const
bool | reset (uiRetVal &) const
Protected Member Functions inherited from Seis::Blocks::IOClass
| IOClass ()
void | addColumn (Column *) const
void | clearColumns ()
Column * | findColumn (const HGlobIdx &) const

## Protected Attributes
BoolTypeSet | compsel_
CubeData & | cubedata_
CubeDataPos & | curcdpos_
bool | depthinfeet_
DataInterp * | interp_
bool | lastopwasgetinfo_
const int | nrcomponentsintrace_
OffsetTable & | offstbl_
LinScaler * | scaler_
SelData * | seldata_
uiRetVal | state_
od_istream * | strm_
bool | strmmine_
BufferString | survname_
const Interval< float > | zrgintrace_
Protected Attributes inherited from Seis::Blocks::IOClass
Threads::Lock | accesslock_
ObjectSet< IOPar > | auxiops_
FilePath | basepath_
Pos::IdxPairDataSet & | columns_
BufferStringSet | compnms_
BufferString | cubename_
DataType | datatype_
Dimensions | dims_
FPDataRepType | fprep_
RefMan< HGeom > | hgeom_
bool | needreset_
LinScaler * | scaler_
SzType | version_
ZGeom | zgeom_

## Private Member Functions
bool | getGeneralSectionData (const IOPar &)
bool | getOffsetSectionData (const IOPar &)
void | initFromFileName (const char *)
void | readInfoFile (od_istream &)

## Friends
class | FileColumn

## Additional Inherited Members
Static Public Member Functions inherited from Seis::Blocks::IOClass
static BufferString | dataFileNameFor (const char *)
static BufferString | infoFileNameFor (const char *)
static const char * | sKeyComponents ()
static const char * | sKeyCubeName ()
static const char * | sKeyDataFileExt ()
static const char * | sKeyDataType ()
static const char * | sKeyDepthInFeet ()
static const char * | sKeyDimensions ()
static const char * | sKeyFileType ()
static const char * | sKeyFmtVersion ()
static const char * | sKeyGenSection ()
static const char * | sKeyGlobCrlRg ()
static const char * | sKeyGlobInlRg ()
static const char * | sKeyGlobZRg ()
static const char * | sKeyOffSection ()
static const char * | sKeyOvvwFileExt ()
static const char * | sKeyPosSection ()
static const char * | sKeySectionPre ()
static const char * | sKeySurveyName ()
Static Protected Member Functions inherited from Seis::Blocks::IOClass
static SzType | columnHeaderSize (SzType ver)

## Detailed Description

Reads data from Blocks Storage. For comments see master branch.

<>

## Member Typedef Documentation

## ◆ CubeData

typedef PosInfo::CubeData Seis::Blocks::Reader::CubeData

## ◆ CubeDataPos

typedef PosInfo::CubeDataPos Seis::Blocks::Reader::CubeDataPos
| protected

## Constructor & Destructor Documentation

## ◆ Reader() [1/2]

Seis::Blocks::Reader::Reader | ( | const char * | fnm | ) |

data or info

## ◆ Reader() [2/2]

Seis::Blocks::Reader::Reader | ( | od_istream & |  | ) |

data or info

## ◆ ~Reader()

Seis::Blocks::Reader::~Reader | ( |  | ) |

## Member Function Documentation

## ◆ advancePos()

bool Seis::Blocks::Reader::advancePos | ( | CubeDataPos & |  | ) | const
| protected

## ◆ close()

void Seis::Blocks::Reader::close | ( |  | ) |

early retire

## ◆ closeStream()

void Seis::Blocks::Reader::closeStream | ( |  | ) | const
| protected

## ◆ compSelected()

BoolTypeSet & Seis::Blocks::Reader::compSelected | ( |  | ) |
| inline

## ◆ depthInFeet()

bool Seis::Blocks::Reader::depthInFeet | ( |  | ) | const
| inline

## ◆ doGet()

void Seis::Blocks::Reader::doGet | ( | SeisTrc & | ,
|  | uiRetVal & | ) const
| protected

## ◆ doGoTo()

bool Seis::Blocks::Reader::doGoTo | ( | const BinID & | ,
|  | uiRetVal & | ) const
| protected

## ◆ fillInfo()

void Seis::Blocks::Reader::fillInfo | ( | const BinID & | ,
|  | SeisTrcInfo & | ) const
| protected

## ◆ get()

uiRetVal Seis::Blocks::Reader::get | ( | const BinID & | ,
|  | SeisTrc & | ) const

## ◆ getColumn()

FileColumn * Seis::Blocks::Reader::getColumn | ( | const HGlobIdx & | ,
|  | uiRetVal & | ) const
| protected

## ◆ getGeneralSectionData()

bool Seis::Blocks::Reader::getGeneralSectionData | ( | const IOPar & |  | ) |
| private

## ◆ getNext()

uiRetVal Seis::Blocks::Reader::getNext | ( | SeisTrc & |  | ) | const

## ◆ getOffsetSectionData()

bool Seis::Blocks::Reader::getOffsetSectionData | ( | const IOPar & |  | ) |
| private

## ◆ getTrcInfo()

uiRetVal Seis::Blocks::Reader::getTrcInfo | ( | SeisTrcInfo & |  | ) | const

## ◆ goTo()

bool Seis::Blocks::Reader::goTo | ( | const BinID & |  | ) | const

## ◆ initFromFileName()

void Seis::Blocks::Reader::initFromFileName | ( | const char * |  | ) |
| private

## ◆ isSelected()

bool Seis::Blocks::Reader::isSelected | ( | const CubeDataPos & |  | ) | const
| protected

## ◆ nrComponents()

int Seis::Blocks::Reader::nrComponents | ( |  | ) | const
| inline

## ◆ positions()

const CubeData & Seis::Blocks::Reader::positions | ( |  | ) | const
| inline

## ◆ readInfoFile()

void Seis::Blocks::Reader::readInfoFile | ( | od_istream & |  | ) |
| private

## ◆ readTrace()

void Seis::Blocks::Reader::readTrace | ( | SeisTrc & | ,
|  | uiRetVal & | ) const
| protected

## ◆ reset()

bool Seis::Blocks::Reader::reset | ( | uiRetVal & |  | ) | const
| protected

## ◆ setSelData()

void Seis::Blocks::Reader::setSelData | ( | const SelData * |  | ) |

## ◆ skip()

uiRetVal Seis::Blocks::Reader::skip | ( | int |  | ) | const

## ◆ state()

const uiRetVal & Seis::Blocks::Reader::state | ( |  | ) | const
| inline

## ◆ surveyName()

BufferString Seis::Blocks::Reader::surveyName | ( |  | ) | const
| inline

## Friends And Related Symbol Documentation

## ◆ FileColumn

friend class FileColumn
| friend

## Member Data Documentation

## ◆ compsel_

BoolTypeSet Seis::Blocks::Reader::compsel_
| protected

## ◆ cubedata_

CubeData& Seis::Blocks::Reader::cubedata_
| protected

## ◆ curcdpos_

CubeDataPos& Seis::Blocks::Reader::curcdpos_
| protected

## ◆ depthinfeet_

bool Seis::Blocks::Reader::depthinfeet_
| protected

## ◆ interp_

DataInterp* Seis::Blocks::Reader::interp_
| protected

## ◆ lastopwasgetinfo_

bool Seis::Blocks::Reader::lastopwasgetinfo_
| mutable protected

## ◆ nrcomponentsintrace_

const int Seis::Blocks::Reader::nrcomponentsintrace_
| protected

## ◆ offstbl_

OffsetTable& Seis::Blocks::Reader::offstbl_
| protected

## ◆ scaler_

LinScaler* Seis::Blocks::Reader::scaler_
| protected

## ◆ seldata_

SelData* Seis::Blocks::Reader::seldata_
| protected

## ◆ state_

uiRetVal Seis::Blocks::Reader::state_
| protected

## ◆ strm_

od_istream* Seis::Blocks::Reader::strm_
| mutable protected

## ◆ strmmine_

bool Seis::Blocks::Reader::strmmine_
| protected

## ◆ survname_

BufferString Seis::Blocks::Reader::survname_
| protected

## ◆ zrgintrace_

const Interval<float> Seis::Blocks::Reader::zrgintrace_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025